using System.Net;
using System.Collections.Generic;
using System.IO;
using System.Text;
using System.Net.Http;
using System;
using System.Linq;
using System.Web;
using Newtonsoft.Json;
using System.Net.Mime;
using HeyRed.Mime;
using System.Threading.Tasks;

namespace Tesses.Http
{
    public abstract class Server : IRequestHandler,IDisposable
    {
        public abstract Task Handle(ServerContext ctx);

        public virtual void Close()
        {

        }
        public void Dispose()
        {
            Close();
        }
    }

}